Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 592801 - Missing extensions in epiphany-extensions
Missing extensions in epiphany-extensions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: epiphany-extensions (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-16 22:18 EDT by Mohamed El Morabity
Modified: 2011-04-06 18:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: epiphany-extensions-2.30.2-1.fc14
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-06 18:33:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohamed El Morabity 2010-05-16 22:18:38 EDT
Description of problem:
The epiphany-extensions package in Fedora 13 is not build with all the extensions provided by the source archive.
The ones available with the Fedora packages are the following : actions adblock auto-reload auto-scroller certificates extensions-manager-ui html5tube push-scroller soup-fly tab-groups tab-key-tab-navigate tab-states
All those available in the sources: actions adblock auto-reload auto-scroller certificates extensions-manager-ui gestures greasemonkey html5tube permissions push-scroller rss sample soup-fly tab-groups tab-key-tab-navigate tab-states

Version of epiphany-extensions: epiphany-extensions-2.30.1-2.fc13.i386


How reproducible:

Steps to Reproduce:
1. Install epiphany-extensions
2. Launch Epiphany and display the available extensions in Tools → Extensions
  
Actual results:
Some extensions missing, like Greasemonkey

Expected results:
The missing extensions quoted above shoud be available

Additional info:
In previous versions of Fedora, the package was build with this option to %configure:
   --with-extensions=really-all
whereas the F13 version is compiled with:
   --with-extensions=all
Comment 1 Chris Campbell 2010-06-02 08:19:23 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Mohamed El Morabity 2010-12-12 09:54:46 EST
Same issue with Fedora 14...
Comment 3 Mohamed El Morabity 2010-12-21 23:06:01 EST
To precise my first comment, the ./configure option "--with-extensions=all" doesn't enable all extensions as it could be believed. Indeed, according to configure.ac, calling this option enables the extensions defined in the USEFUL_EXTENSION variable (line 174), and only them:
   USEFUL_EXTENSIONS="actions adblock auto-reload auto-scroller certificates extensions-manager-ui html5tube java-console page-info push-scroller select-stylesheet smart-bookmarks soup-fly tab-groups tab-key-tab-navigate tab-states"
Whereas by default, all the extensions in the DEFAULT_EXTENSIONS variable are activated (line 175):
   DEFAULT_EXTENSIONS="actions adblock auto-reload auto-scroller certificates extensions-manager-ui greasemonkey gestures html5tube push-scroller soup-fly tab-groups tab-key-tab-navigate tab-states rss"
As you can see, some extensions are missing in USEFUL_EXTENSIONS, compared to DEFAULT_EXTENSIONS.

The --with-extensions=really-all enables all the extensions in both USEFUL_EXTENSIONS and DEFAULT_EXTENSIONS, plus some extensions rather useful, especially for Web devs: error-viewer livehttpheaders permissions rss sample.

Hope this helps...
Comment 4 Mohamed El Morabity 2010-12-22 00:49:04 EST
(In reply to comment #3)
> The --with-extensions=really-all enables all the extensions in both
> USEFUL_EXTENSIONS and DEFAULT_EXTENSIONS, plus some extensions rather useful,
> especially for Web devs: error-viewer livehttpheaders permissions rss sample.
(in fact, error-viewer and livehttpheaders were legacies of the Gecko era for Epiphany and are never enabled whatever the option).
Comment 5 Fedora Admin XMLRPC Client 2011-03-28 07:30:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Update System 2011-03-28 14:46:40 EDT
epiphany-extensions-2.30.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/epiphany-extensions-2.30.2-1.fc14
Comment 7 Fedora Update System 2011-03-29 15:51:56 EDT
Package epiphany-extensions-2.30.2-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing epiphany-extensions-2.30.2-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/epiphany-extensions-2.30.2-1.fc14
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-04-06 18:32:57 EDT
epiphany-extensions-2.30.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.